#include "board.h"
#include "clock_config.h"
#include "peripherals.h"
#include "pin_mux.h"

/* Debug Console */
#include "fsl_debug_console.h"

/* AFE */
#include "afe44x0.h"
#include "afe_impl.h"

static afe44x0_t s_afe = {
    .ops =
        {
            .transfer = afe_impl_transfer,
        },
    .user_data = NULL,
};

int main(void) {
    BOARD_InitBootPins();
    BOARD_BootClockFROHF96M();
    BOARD_InitBootPeripherals();

    BOARD_InitDebugConsole();

    PRINTF("Hello world!!\r\n");

    if (afe_impl_init() != AFE44_RET_SUCCESS) {
        PRINTF("Failed to initialize AFE IMPL.\r\n");
        goto dead_loop;
    }

    if (afe44x0_init(&s_afe) != AFE44_RET_SUCCESS) {
        PRINTF("Failed to initialize AFE.\r\n");
        goto dead_loop;
    }

dead_loop:
    for (;;) {
        __WFI();
    }
}